org.keycloak.authorization.model

## Enum Scope.FilterOption

- java.lang.Object
- - java.lang.Enum<Scope.FilterOption>
  - - org.keycloak.authorization.model.Scope.FilterOption

- All Implemented Interfaces:
    Serializable, Comparable<Scope.FilterOption>
  Enclosing interface:
    Scope

      public static enum Scope.FilterOption
      extends Enum<Scope.FilterOption>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ID`
    `NAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `SearchableModelField<Scope>` | `getSearchableModelField()`
    `static Scope.FilterOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Scope.FilterOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final Scope.FilterOption ID

    - #### NAME

          public static final Scope.FilterOption NAME

  - ### Method Detail

    - #### values

          public static Scope.FilterOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Scope.FilterOption c : Scope.FilterOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Scope.FilterOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getSearchableModelField

          public SearchableModelField<Scope> getSearchableModelField()

Copyright © 2021 JBoss by Red Hat. All rights reserved.